package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class RmKarakteristikNyeriVO extends BaseMasterVO{
	@ManyToOne
	@NotNull(message = "PapSkriningNyeri tidak boleh kosong")
	@Caption(value = "Object PapSkriningNyeri")
	private PapSkriningNyeriVO papSkriningNyeri;
	
	@NotNull(message = "namaKarakteristik tidak boleh kosong")
	@Column(name = "namaKarakteristik")
	@Caption(value = "namaKarakteristik")
	private String namaKarakteristik;

	public PapSkriningNyeriVO getPapSkriningNyeri() {
		return papSkriningNyeri;
	}

	public void setPapSkriningNyeri(PapSkriningNyeriVO papSkriningNyeri) {
		this.papSkriningNyeri = papSkriningNyeri;
	}

	public String getNamaKarakteristik() {
		return namaKarakteristik;
	}

	public void setNamaKarakteristik(String namaKarakteristik) {
		this.namaKarakteristik = namaKarakteristik;
	}

	
}
